SDL_arraysize(3)

NAME
SDL_arraysize - The number of elements in a static array.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_arraysize(array) (sizeof(array)/sizeof(array[0]))

DESCRIPTION
This will compile but return incorrect results for a pointer to an array; it has to be an array the compiler knows the size of.

This macro looks like it double-evaluates the argument, but it does so inside of sizeof, so there are no side-effects here, as expressions do not actually run any code in these cases.

AVAILABILITY
This macro is available since SDL 3.2.0.